
module led_with_cmt ( input CLK, RST,
		      output [15:0] LED );
   parameter CounterBits = 24;

   wire 			    LOCKED;
   cmt_100_150 cmt ( .clk_in1(CLK), .reset(RST), .clk_out1(CLK150), .locked(LOCKED) );
   
   
   led_kurukuru # (.CounterBits(CounterBits)) kuru1 ( .CLK(CLK), .RST(RST), .LED(LED[15:8]) );
   led_kurukuru # (.CounterBits(CounterBits)) kuru2 ( .CLK(CLK150), .RST(RST | ~LOCKED), .LED(LED[7:0]) );

endmodule // led_with_cmt
